@echo off

if %revision%==10240.16487 (set version=10240.16393&set datetime=150909-1450&set branch=th1_refresh&set savess=no)
if %revision%==10586.104 (set version=10586.0&set datetime=160212-2000&set branch=th2_refresh&set savess=no)
if %revision%==10586.164 (set version=10586.0&set datetime=160426-1409&set branch=th2_refresh&set savess=no)
if %revision%==14393.447 (set version=14393.0&set datetime=161119-1705&set branch=rs1_refresh&set savess=no)
if %revision%==15063.413 (set version=15063.0&set datetime=170607-1447&set branch=rs2_release_svc_refresh&set savess=no)
if %revision%==15063.483 (set version=15063.0&set datetime=170710-1358&set branch=rs2_release_svc_refresh&set savess=no)
if %revision%==16299.64 (set version=16299.0&set datetime=171109-1522&set branch=rs3_release_svc_refresh&set savess=no)
if %revision%==16299.125 (set version=16299.125&set datetime=171213-1220&set branch=rs3_release_svc_refresh&set savess=no)
if %revision%==17134.112 (set version=17134.112&set datetime=180619-1212&set branch=rs4_release_svc_refresh&set savess=no)
if %revision%==17763.107 (set version=17763.107&set datetime=101029-1455&set branch=rs5_release_svc_refresh&set savess=no)
if %revision%==17763.253 (set version=17763.253&set datetime=190108-0006&set branch=rs5_release_svc_refresh&set savess=no)
if %revision%==17763.379 (set version=17763.379&set datetime=190312-0539&set branch=rs5_release_svc_refresh&set savess=no)
if %revision%==18362.30 (set version=18362.30&set datetime=190401-1528&set branch=19h1_release_svc_refresh&set savess=no)
if %revision%==18362.175 (set version=18362.175&set datetime=190612-0046&set branch=19h1_release_svc_refresh&set savess=no)
if %revision%==18362.239 (set version=18362.239&set datetime=190709-0052&set branch=19h1_release_svc_refresh&set savess=no)
if %revision%==18362.295 (set version=18362.295&set datetime=190809-2228&set branch=19h1_release_svc_refresh&set savess=no)
if %revision%==18362.356 (set version=18362.356&set datetime=190909-1636&set branch=19h1_release_svc_refresh&set savess=no)
if %revision%==18363.356 (set version=18363.356&set datetime=190918-2052&set branch=19h2_release_svc_refresh&set savess=no)
if %revision%==18363.418 (set version=18363.418&set datetime=191007-0143&set branch=19h2_release_svc_refresh&set savess=no)
if %revision%==18363.592 (set version=18363.592&set datetime=200109-2016&set branch=19h2_release_svc_refresh&set savess=no)
if %revision%==19041.84 (set version=19041.84&set datetime=200218-1143&set branch=vb_release_svc_refresh&set savess=no)
if %revision%==19041.264 (set version=19041.264&set datetime=200511-0456&set branch=vb_release_svc_refresh&set savess=no)
if %revision%==19041.388 (set version=19041.388&set datetime=200710-1729&set branch=vb_release_svc_refresh&set savess=no)
if %revision%==19041.450 (set version=19041.450&set datetime=200808-0726&set branch=vb_release_svc_refresh&set savess=no)

exit /b